メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt

Use this file to discover all available pages before exploring further.

パスパラメータ

model
string
必須
取得するモデルの ID(例: gpt-5.4, claude-sonnet-4-6)。

レスポンス

id
string
モデル識別子。
object
string
常に model
created
integer
作成タイムスタンプ。
owned_by
string
モデルプロバイダー。
lemondata
object
TokenLab 固有の公開メタデータです。詳細ルートでは、categorypricing_unitcapability_flagssupported_operationspricing_provenancepublic_contract_summary、完全な public_contract、そして非チャット推奨スナップショット用のシーン別 agent_preferences を含めることができます。
curl "https://api.tokenlab.sh/v1/models/gpt-5.4" \
  -H "Authorization: Bearer sk-your-api-key"
{
  "id": "gpt-5.4",
  "object": "model",
  "created": 1706000000,
  "owned_by": "openai"
}

非チャット推奨メタデータ

非チャットモデルの場合、詳細ルートは lemondata.agent_preferences.<scene> も返します。 確認できる項目:
  • preferred_rank
  • success_rate_24h
  • sample_count_24h
  • status
  • updated_at
公開レスポンスでは basis.channel_idbasis.physical_model を意図的に null のままにしており、agent は推奨シグナルを利用しつつ内部ルーティング識別子を学習しないようになっています。

公開詳細メタデータ

GET /v1/models と比べると、詳細ルートではさらに次を返せます:
  • lemondata.capability_flags
  • lemondata.supported_operations
  • lemondata.pricing_provenance
  • lemondata.public_contract_summary
  • lemondata.public_contract

エラーハンドリング

モデルが存在しない場合は、404 エラーが返されます:
{
  "error": {
    "message": "Model 'invalid-model' not found",
    "type": "invalid_request_error",
    "code": "model_not_found"
  }
}